=== debian/rules ===
--- 
+++ 
@@ -13,34 +13,37 @@
 LC_COLLATE=C
 export LC_COLLATE
 
-export QUILT_PATCH_DIR = debian/patches-applied
 
 d = $(CURDIR)/debian
 dl = $(d)/local
 
 %:
-	dh $@ --with quilt,autoreconf
+	dh $@
+
 
 # avoid libaudit-dev when bootstrapping
 ifneq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
   CONFIGURE_OPTS += --disable-audit
-endif  
+endif
+
+CONFIGURE_OPTS += --enable-logind
 
 override_dh_auto_configure:
+	# Explicitly set libdir, sbindir to avoid upstream's override logic.
 	dh_auto_configure -- --enable-static --enable-shared \
-		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
-		--enable-isadir=/lib/security \
+		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		--sbindir=/usr/sbin \
+		--enable-isadir=/usr/lib/security \
 		--with-systemdunitdir=/usr/lib/systemd/system \
 		--disable-nis \
+		--enable-usergroups \
 		$(CONFIGURE_OPTS)
+	chmod 775 modules/pam_faillock/tst-pam_faillock
 
 # .install files don't have "except for" handling, so we need to exclude
 # our module that doesn't match right here
 override_dh_install:
-ifneq (,$(findstring libpam-modules, $(shell dh_listpackages)))
-	dh_install -plibpam-modules -Xpam_chksshpwd
-endif
-	dh_install -Nlibpam-modules
+	dh_install
 	# Make sure the md5sums for the templates we ship are
 	# recognized by pam-auth-update.
 	for f in common-auth common-session common-session-noninteractive common-account common-password; do \
@@ -61,7 +64,6 @@
 	pod2man --section 8 --release="Debian GNU/Linux" $(dl)/pam_getenv >$(dl)/pam_getenv.8
 	dh_installman
 	rm -f $(d)/libpam-modules/usr/share/man/man5/pam.conf.5
-	rm -f $(d)/libpam-modules/usr/share/man/man8/pam_chksshpwd.8
 	rm -f $(d)/libpam-modules/usr/share/man/man8/pam_timestamp_check.8
 	rm -f $(d)/libpam-modules/usr/share/man/man8/pam_namespace_helper.8
 
@@ -70,6 +72,11 @@
 override_dh_fixperms:
 	dh_fixperms
 ifneq (,$(findstring libpam-modules, $(shell dh_listpackages)))
-	chgrp shadow $(d)/libpam-modules-bin/sbin/unix_chkpwd
-	chmod 02755 $(d)/libpam-modules-bin/sbin/unix_chkpwd
+	chgrp shadow $(d)/libpam-modules-bin/usr/sbin/unix_chkpwd
+	chmod 02755 $(d)/libpam-modules-bin/usr/sbin/unix_chkpwd
+	chgrp shadow $(d)/libpam-modules-bin/usr/sbin/pam_extrausers_chkpwd
+	chmod 02755 $(d)/libpam-modules-bin/usr/sbin/pam_extrausers_chkpwd
 endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
