=== debian/watch ===
 version=4
 opts=searchmode=plain,pgpmode=auto \
 https://api.github.com/repos/linux-pam/linux-pam/releases \
 https://github.com/linux-pam/linux-pam/releases/download/v?[\d.]+/Linux-PAM-([\d.]+)@ARCHIVE_EXT@
