=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: pam
 Section: libs
 Priority: optional
-Maintainer: Sam Hartman <hartmans@debian.org>
-Uploaders: Steve Langasek <vorlon@debian.org>
-Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), dh-exec, quilt, flex, libdb-dev, libcrypt-dev, libselinux1-dev [linux-any], po-debconf, dh-autoreconf, autopoint, libaudit-dev [linux-any] <!stage1>, pkg-config, libfl-dev, libfl-dev:native, docbook-xsl, docbook-xml, xsltproc, libxml2-utils, w3m
-Build-Conflicts-Indep: fop
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sam Hartman <hartmans@debian.org>
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), dh-exec,  flex,  libcrypt-dev, libdb-dev, libselinux1-dev [linux-any], libsystemd-dev [linux-any] <!stage1>, po-debconf, meson, libaudit-dev [linux-any] <!stage1>, pkgconf, libfl-dev, libfl-dev:native
+Build-Depends-Indep: docbook-xsl-ns, docbook5-xml, xsltproc, libxml2-utils, w3m, fop
 Build-Conflicts: libdb4.2-dev, libxcrypt-dev
-Vcs-Browser: https://salsa.debian.org/vorlon/pam
-Vcs-Git: https://salsa.debian.org/vorlon/pam.git
+Vcs-Git: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/pam/+git/pam
+XS-Debian-Vcs-Browser: https://salsa.debian.org/vorlon/pam
+XS-Debian-Vcs-Git: https://salsa.debian.org/vorlon/pam.git
 Homepage: http://www.linux-pam.org/
 Rules-Requires-Root: binary-targets
 
 Package: libpam0g
 Architecture: any
 Multi-Arch: same
-Replaces: libpam0g-util
+Replaces: libpam0g-util, libpam0t64 (<< 1.5.3-5)
+Breaks: libpam0t64 (<< 1.5.3-5)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: libpam-doc
@@ -58,8 +60,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, debconf (>= 1.5.19) | cdebconf, libpam-modules (>= 1.0.1-6)
-Replaces: libpam0g-util, libpam0g-dev
-Conflicts: libpam0g-util
+Replaces: libpam-modules (<< 1.7.0), libpam-modules-bin (<< 1.7.0)
+Breaks: libpam-modules (<< 1.7.0), libpam-modules-bin (<< 1.7.0)
 Description: Runtime support for the PAM library
  Contains configuration files and  directories required for
  authentication  to work on Debian systems.  This package is required
@@ -71,6 +73,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, libpam0g (= ${binary:Version}), libc6-dev|libc-dev
 Provides: libpam-dev
+Recommends: libpam-doc
 Description: Development files for PAM
  Contains C header files and development libraries for libpam, the Pluggable
  Authentication Modules, a library that enables the local system
@@ -82,20 +85,14 @@
 
 Package: libpam-doc
 Provides: pam-doc
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
+Replaces: libpam0g-dev (<= 1.7.0)
+Breaks: libpam0g-dev (<= 1.7.0)
 Description: Documentation of PAM
  Contains documentation (in HTML, ASCII, and PostScript format) for libpam,
  the Pluggable Authentication Modules library, a library that enables the
  local system administrator to choose how applications authenticate users.
-
-Package: libpam-chksshpwd
-Section: admin
-Priority: optional
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, libpam0g, libpam-runtime, gettext-base
-Description: PAM module to enable SSH password checking support
- This package includes libpam_chkpasswd, a PAM module that checks to see
- if the default password has been changed when SSH is enabled.
