=== debian/rules ===
--- 
+++ 
@@ -21,23 +21,28 @@
 	dh $@
 
 
-# avoid libaudit-dev when bootstrapping
+# avoid libaudit-dev and libsystemd-dev when bootstrapping
 ifneq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
-  CONFIGURE_OPTS += --disable-audit
+  meson_OPTS += -Daudit=disabled -Dlogind=disabled
+endif
+packages := $(shell dh_listpackages)
+
+ifneq (,$(filter libpam-doc libpam-runtime,$(packages)))
+meson_OPTS += -Ddocs=enabled
 endif
 
-CONFIGURE_OPTS += --enable-logind
 
 override_dh_auto_configure:
 	# Explicitly set libdir, sbindir to avoid upstream's override logic.
-	dh_auto_configure -- --enable-static --enable-shared \
+	dh_auto_configure  -- \
+--default-library=both \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--sbindir=/usr/sbin \
-		--enable-isadir=/usr/lib/security \
-		--with-systemdunitdir=/usr/lib/systemd/system \
-		--disable-nis \
-		--enable-usergroups \
-		$(CONFIGURE_OPTS)
+		-Disadir=/usr/lib/security \
+		-Dsystemdunitdir=/usr/lib/systemd/system \
+		-Dnis=disabled \
+		-Dusergroups=true \
+		$(meson_OPTS)
 	chmod 775 modules/pam_faillock/tst-pam_faillock
 
 # .install files don't have "except for" handling, so we need to exclude
