## pam 2.0.0

=== DESCRIPTION ===
Package: pam
Type: Package
Title: Fast and Efficient Processing of PAM Data
Version: 2.0.0
Authors@R: c(
    person(
        "Julien",
        "Böhm",
        email = "julien.boehm@uni-rostock.de",
        role = c("cre", "aut"),
        comment = c(ORCID = "0009-0002-2704-2289")
    ),
    person(
        "Philipp",
        "Schrag",
        role = "aut",
        comment = c(ORCID = "0009-0002-7697-5536")
    )
    )
URL: https://github.com/biotoolbox/pam
BugReports: https://github.com/biotoolbox/pam/issues
Description: Processing Chlorophyll Fluorescence & P700 Absorbance data. Four models are provided for the regression of Pi curves, which can be compared with each other in order to select the most suitable model for the data set. Control plots ensure the successful verification of each regression. Bundled output of alpha, ETRmax, Ik etc. enables fast and reliable further processing of the data. 
License: GPL-3
Encoding: UTF-8
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
RoxygenNote: 7.3.2
Imports: rlang, data.table, ggplot2, minpack.lm, cowplot, gridExtra,
        ggthemes, Metrics
NeedsCompilation: no
Packaged: 2026-02-01 10:19:02 UTC; julien
Author: Julien Böhm [cre, aut] (ORCID: <https://orcid.org/0009-0002-2704-2289>),
  Philipp Schrag [aut] (ORCID: <https://orcid.org/0009-0002-7697-5536>)
Maintainer: Julien Böhm <julien.boehm@uni-rostock.de>
Repository: CRAN
Date/Publication: 2026-02-01 10:40:02 UTC
