## pam 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pam
 Type: Package
 Title: Fast and Efficient Processing of PAM Data
-Version: 2.0.0
+Version: 2.0.2
 Authors@R: c(
     person(
         "Julien",
@@ -28,9 +28,9 @@
 Imports: rlang, data.table, ggplot2, minpack.lm, cowplot, gridExtra,
         ggthemes, Metrics
 NeedsCompilation: no
-Packaged: 2026-02-01 10:19:02 UTC; julien
+Packaged: 2026-02-23 18:35:08 UTC; desk
 Author: Julien Böhm [cre, aut] (ORCID: <https://orcid.org/0009-0002-2704-2289>),
   Philipp Schrag [aut] (ORCID: <https://orcid.org/0009-0002-7697-5536>)
 Maintainer: Julien Böhm <julien.boehm@uni-rostock.de>
 Repository: CRAN
-Date/Publication: 2026-02-01 10:40:02 UTC
+Date/Publication: 2026-02-23 19:10:02 UTC
