## pam client-0.2.0

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 pam_client: pam_client.c
 	$(CC) $(CFLAGS) $(SHARE) -c pam_client.c -o pam_client.o
-	$(LD_D)  -o pam_client.so pam_client.o  -lc -lpam
+	$(LD_D)  -o pam_client.so pam_client.o  -lc -lpam -lldap
 
 clean: pam_client.so pam_client.o
 	$(RM) pam_client.o
