## pam delay

=== Makefile ===
CFLAGS += -Wall -Wpointer-arith -Wwrite-strings -Wstrict-prototypes 
CFLAGS += -Wnested-externs
CFLAGS += -g -fPIC
LDFLAGS += -shared -lpam

OBJS=pam_delay.o
LIB=pam_delay.so

all: $(LIB)

$(LIB): $(OBJS)
	$(LINK.c) $(OBJS) -o $@
