## pam dpasswd

=== Makefile ===
# $Header: /home/walid/PAM/pam_dpasswd/RCS/Makefile,v 1.1 1998/04/24 21:52:35 walid Exp walid $
#
# $Log: Makefile,v $
# Revision 1.1  1998/04/24 21:52:35  walid
# Initial revision
#
#

# Adopted from the PAM distribution with some modifications.
# This is free software. use at your own risk.
#
# Walid Harmoush 
#

FAKEROOT=
SECUREDIR=/lib/security
SHLIBMODE=0644

CFLAGS=-O7 -pipe -g

LD_D=gcc -shared -Xlinker -x

LIBAUTHSH = pam_auth_dpasswd.so

LIBAUTHOBJ = pam_auth_dpasswd.o dialup.o 
LIBAUTHSRC = pam_auth_dpasswd.c dialup.c

LIBOBJ = $(LIBAUTHOBJ)
LIBSRC = $(LIBAUTHSRC)

LIBSHARED = $(LIBAUTHSH)

LIBOBJD = $(addprefix dynamic/,$(LIBOBJ))

all: dirs $(LIBSHARED)

dirs:
	mkdir -p ./dynamic

$(LIBOBJD): $(LIBSRC)

$(LIBAUTHSH):	$(LIBAUTHSRC) $(LIBOBJD)
		$(LD_D) -o $@ $(addprefix dynamic/,$(LIBAUTHOBJ))

install: all
	mkdir -p $(FAKEROOT)$(SECUREDIR)
	install -m $(SHLIBMODE) $(LIBSHARED) $(FAKEROOT)$(SECUREDIR)
	ldconfig $(FAKEROOT)$(SECUREDIR)

remove:
	cd $(FAKEROOT)$(SECUREDIR) && rm -f $(LIBSHARED)

clean:
	rm -f $(LIBOBJD) $(LIBOBJS) a.out core *~

extraclean: clean
	rm -f *.a *.out *.o *.so *.bak

.c.o:	
	$(CC) -c $(CFLAGS) $<

dynamic/%.o : %.c
	$(CC) $(CFLAGS) $(DYNAMIC) $(CPPFLAGS) -c $< -o $@
